import java.io.Serializable;
import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table account(id varchar,accountnum varchar,firstname varchar,lastname varchar,balance double);");    


      Session session = HibernateUtil.currentSession();

      Account account = new Account();

      account.setFirstname("Joe");
      account.setLastname("Smith");
      account.setAccountnum("39084");
      account.setBalance(4054.00);

      session.save(account);
      session.flush();

      Account account2 = (Account)session.load(Account.class, account.getId());
      System.out.println(account2.getFullname());
      session.flush();
      session.close();
      HibernateUtil.checkData("select * from account");
   }
}
